RUNCON(1)

NAME
runcon - run command with specified SELinux security context

SYNOPSIS
runcon CONTEXT COMMAND [args]
runcon [-u USER] [-r ROLE] [-t TYPE] [-l RANGE] COMMAND [args]

DESCRIPTION
Run COMMAND with completely specified CONTEXT, or with current security context modified by one or more of LEVEL, ROLE, TYPE and USER.

CONTEXT
    Complete security context

-t, --type=TYPE
    change current type to the specified type

-u, --user=USER
    change current user to the specified user

-r, --role=ROLE
    change current role to the specified role

-l, --range=RANGE
    change current level range to the specified range

--help
    display this help and exit

--version
    output version information and exit

NOTES

--  The -- flag indicates that runcon should stop processing command line arguments. Further arguments will be passed to COMMAND.

If none of -c, -t, -u, -r, or -l, is specified, the first argument is used as the complete context. Any additional arguments after COMMAND are interpreted as arguments to the command.

Note that only carefully-chosen contexts are likely to successfully run.

SEE ALSO
The full documentation for runcon is maintained as a Texinfo manual. If the info and runcon programs are properly installed at your site, the command

    info coreutils runcon

should give you access to the complete manual.